mount.cifs does not work with the 3.13.0.36-generic kernel

Bug #1372482 reported by Tamas Pisch on 2014-09-22
136
This bug affects 22 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Trusty
Medium
Joseph Salisbury
Utopic
Undecided
Unassigned

Bug Description

mount.cifs //server_ip/share_name mount_point -o user=user
Password...
mount error(5): Input/output error
Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)
From syslog:
Sep 22 15:41:04 ds1205 kernel: [ 11.778362] ------------[ cut here ]------------
Sep 22 15:41:04 ds1205 kernel: [ 11.778370] WARNING: CPU: 3 PID: 2253 at /build/buildd/linux-3.13.0/fs/cifs/transport.c:313 smb_send_rqst+0x215/0x270 [cifs]()
Sep 22 15:41:04 ds1205 kernel: [ 11.778371] Send length mismatch(send_length=72 smb_buf_length=2164260932)
Sep 22 15:41:04 ds1205 kernel: [ 11.778372] Modules linked in: cuse rfcomm bnep bluetooth binfmt_misc snd_hda_codec_realtek nls_utf8 cifs fscache intel_rapl x86_pkg_temp_thermal intel_powerclamp snd_hda_intel coretemp snd_hda_codec kvm_intel kvm snd_hwdep snd_pcm crct10dif_pclmul crc32_pclmul snd_page_alloc ghash_clmulni_intel i915 snd_seq_midi aesni_intel snd_seq_midi_event aes_x86_64 lrw snd_rawmidi gf128mul snd_seq glue_helper ablk_helper snd_seq_device drm_kms_helper cryptd snd_timer drm keucr(C) parport_pc i2c_algo_bit hid_generic snd mei_me ppdev mei usb_storage lp soundcore serio_raw lpc_ich parport wmi mac_hid video usbhid hid psmouse ahci libahci r8169 mii
Sep 22 15:41:04 ds1205 kernel: [ 11.778395] CPU: 3 PID: 2253 Comm: mount.cifs Tainted: G WC 3.13.0-36-generic #63-Ubuntu
Sep 22 15:41:04 ds1205 kernel: [ 11.778396] Hardware name: Hewlett-Packard HP Pro 3500 Series/2ABF, BIOS 8.11 10/24/2012
Sep 22 15:41:04 ds1205 kernel: [ 11.778397] 0000000000000009 ffff8800ccaf7bb0 ffffffff8171e569 ffff8800ccaf7bf8
Sep 22 15:41:04 ds1205 kernel: [ 11.778399] ffff8800ccaf7be8 ffffffff8106775d ffff8800ccaf7d00 ffff88020fecb800
Sep 22 15:41:04 ds1205 kernel: [ 11.778401] ffff8800ccaf7cc8 0000000000000001 0000000000000000 ffff8800ccaf7c48
Sep 22 15:41:04 ds1205 kernel: [ 11.778403] Call Trace:
Sep 22 15:41:04 ds1205 kernel: [ 11.778406] [<ffffffff8171e569>] dump_stack+0x45/0x56
Sep 22 15:41:04 ds1205 kernel: [ 11.778408] [<ffffffff8106775d>] warn_slowpath_common+0x7d/0xa0
Sep 22 15:41:04 ds1205 kernel: [ 11.778409] [<ffffffff810677cc>] warn_slowpath_fmt+0x4c/0x50
Sep 22 15:41:04 ds1205 kernel: [ 11.778415] [<ffffffffa04904c5>] smb_send_rqst+0x215/0x270 [cifs]
Sep 22 15:41:04 ds1205 kernel: [ 11.778417] [<ffffffff81690218>] ? __inet_stream_connect+0x208/0x320
Sep 22 15:41:04 ds1205 kernel: [ 11.778422] [<ffffffffa049055d>] smb_sendv+0x3d/0x40 [cifs]
Sep 22 15:41:04 ds1205 kernel: [ 11.778426] [<ffffffffa0490588>] smb_send+0x28/0x30 [cifs]
Sep 22 15:41:04 ds1205 kernel: [ 11.778430] [<ffffffffa047a15d>] generic_ip_connect+0x30d/0x3e0 [cifs]
Sep 22 15:41:04 ds1205 kernel: [ 11.778432] [<ffffffff811a1d65>] ? __kmalloc+0x55/0x230
Sep 22 15:41:04 ds1205 kernel: [ 11.778437] [<ffffffffa047e69c>] cifs_mount+0x85c/0xaf0 [cifs]
Sep 22 15:41:04 ds1205 kernel: [ 11.778440] [<ffffffffa046d040>] cifs_do_mount+0xa0/0x4d0 [cifs]
Sep 22 15:41:04 ds1205 kernel: [ 11.778442] [<ffffffff811c10a9>] mount_fs+0x39/0x1b0
Sep 22 15:41:04 ds1205 kernel: [ 11.778444] [<ffffffff811dc447>] vfs_kern_mount+0x67/0x110
Sep 22 15:41:04 ds1205 kernel: [ 11.778446] [<ffffffff811deca4>] do_mount+0x244/0xb20
Sep 22 15:41:04 ds1205 kernel: [ 11.778448] [<ffffffff811530be>] ? __get_free_pages+0xe/0x50
Sep 22 15:41:04 ds1205 kernel: [ 11.778450] [<ffffffff811de8e6>] ? copy_mount_options+0x36/0x170
Sep 22 15:41:04 ds1205 kernel: [ 11.778451] [<ffffffff811df873>] SyS_mount+0x83/0xc0
Sep 22 15:41:04 ds1205 kernel: [ 11.778453] [<ffffffff8172efad>] system_call_fastpath+0x1a/0x1f
Sep 22 15:41:04 ds1205 kernel: [ 11.778454] ---[ end trace 826c79e22eb80bab ]---
Sep 22 15:41:04 ds1205 kernel: [ 11.779826] CIFS VFS: Error connecting to socket. Aborting operation.
Sep 22 15:41:04 ds1205 kernel: [ 11.779890] CIFS VFS: cifs_mount failed w/return code = -5

I cannot mount share from Samba 3.6.6, but I can mount a share from a Windows 2003 server.
But it works with 3.13.0.35-generic.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-36-generic 3.13.0-36.63
ProcVersionSignature: Ubuntu 3.13.0-36.63-generic 3.13.11.6
Uname: Linux 3.13.0-36-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: pt 2204 F.... pulseaudio
 /dev/snd/pcmC0D0p: pt 2204 F...m pulseaudio
Date: Mon Sep 22 15:52:02 2014
HibernationDevice: RESUME=UUID=0694bd92-c10f-4c5e-8c90-e1d2a388f84f
InstallationDate: Installed on 2013-07-09 (440 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
MachineType: Hewlett-Packard HP Pro 3500 Series
ProcEnviron:
 LANGUAGE=hu_HU
 TERM=xterm
 PATH=(custom, no user)
 LANG=hu_HU.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-36-generic root=UUID=0a78b226-07e0-442b-8c2f-716388141053 ro quiet splash vt.handoff=7
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-36-generic N/A
 linux-backports-modules-3.13.0-36-generic N/A
 linux-firmware 1.127.6
RfKill:

SourcePackage: linux
StagingDrivers: keucr
UpgradeStatus: Upgraded to trusty on 2014-07-16 (68 days ago)
dmi.bios.date: 10/24/2012
dmi.bios.vendor: AMI
dmi.bios.version: 8.11
dmi.board.name: 2ABF
dmi.board.vendor: Foxconn
dmi.board.version: 3.10
dmi.chassis.asset.tag: CZC24701JZ
dmi.chassis.type: 3
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnAMI:bvr8.11:bd10/24/2012:svnHewlett-Packard:pnHPPro3500Series:pvr:rvnFoxconn:rn2ABF:rvr3.10:cvnHewlett-Packard:ct3:cvr:
dmi.product.name: HP Pro 3500 Series
dmi.sys.vendor: Hewlett-Packard

Tamas Pisch (pt-r) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Tim Gardner (timg-tpi) wrote :

There was one patch to the CIFS driver between Ubuntu-3.13.0-35.62 and Ubuntu-3.13.0-36.63, commit e42d08d467e1ca772eeb8cb5694920c287a4b1f0 (cifs: sanity check length of data to send before sending) which appears to be responsible for this warning in dmesg:

[ 10.621812] WARNING: CPU: 0 PID: 2040 at /build/buildd/linux-3.13.0/fs/cifs/transport.c:313 smb_send_rqst+0x215/0x270 [cifs]()
[ 10.621813] Send length mismatch(send_length=72 smb_buf_length=2164260932)

Tim Gardner (timg-tpi) on 2014-09-23
Changed in linux (Ubuntu Trusty):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: New → In Progress
Changed in linux (Ubuntu Utopic):
status: Confirmed → Invalid
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium
Joseph Salisbury (jsalisbury) wrote :

I built a test kernel with a revert of commit e42d08d. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1372482/

Can you test this kernel and see if it resolves the bug? Note that you need to install both the linux-image and linux-image-extra .deb packages.

Download full text (7.9 KiB)

I installed the following deb packages you provided on your webpage

linux-headers-3.13.0-37-generic_3.13.0-37.64~lp1372482v1_amd64.deb

 [4]linux-headers-3.13.0-37_3.13.0-37.64~lp1372482v1_all.deb

[5]linux-image-extra-3.13.0-37-generic_3.13.0-37.64~lp1372482v1_amd64.deb
[6]
 [5]
linux-image-3.13.0-37-generic_3.13.0-37.64~lp1372482v1_amd64.deb
 [7]
After which I rebooted and my samba connections are working correctly. I
am also running the nvidia-311 package which rebuilt properly and I've
not had any issues.

On 2014-09-23 09:44, Joseph Salisbury wrote:

> I built a test kernel with a revert of commit e42d08d. The test kernel can be downloaded from:
> http://kernel.ubuntu.com/~jsalisbury/lp1372482/ [1]
>
> Can you test this kernel and see if it resolves the bug? Note that you
> need to install both the linux-image and linux-image-extra .deb
> packages.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1372482 [2]
>
> Title:
> mount.cifs does not work with the 3.13.0.36-generic kernel
>
> Status in "linux" package in Ubuntu:
> Invalid
> Status in "linux" source package in Trusty:
> In Progress
> Status in "linux" source package in Utopic:
> Invalid
>
> Bug description:
> mount.cifs //server_ip/share_name mount_point -o user=user
> Password...
> mount error(5): Input/output error
> Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)
> From syslog:
> Sep 22 15:41:04 ds1205 kernel: [ 11.778362] ------------[ cut here ]------------
> Sep 22 15:41:04 ds1205 kernel: [ 11.778370] WARNING: CPU: 3 PID: 2253 at /build/buildd/linux-3.13.0/fs/cifs/transport.c:313 smb_send_rqst+0x215/0x270 [cifs]()
> Sep 22 15:41:04 ds1205 kernel: [ 11.778371] Send length mismatch(send_length=72 smb_buf_length=2164260932)
> Sep 22 15:41:04 ds1205 kernel: [ 11.778372] Modules linked in: cuse rfcomm bnep bluetooth binfmt_misc snd_hda_codec_realtek nls_utf8 cifs fscache intel_rapl x86_pkg_temp_thermal intel_powerclamp snd_hda_intel coretemp snd_hda_codec kvm_intel kvm snd_hwdep snd_pcm crct10dif_pclmul crc32_pclmul snd_page_alloc ghash_clmulni_intel i915 snd_seq_midi aesni_intel snd_seq_midi_event aes_x86_64 lrw snd_rawmidi gf128mul snd_seq glue_helper ablk_helper snd_seq_device drm_kms_helper cryptd snd_timer drm keucr(C) parport_pc i2c_algo_bit hid_generic snd mei_me ppdev mei usb_storage lp soundcore serio_raw lpc_ich parport wmi mac_hid video usbhid hid psmouse ahci libahci r8169 mii
> Sep 22 15:41:04 ds1205 kernel: [ 11.778395] CPU: 3 PID: 2253 Comm: mount.cifs Tainted: G WC 3.13.0-36-generic #63-Ubuntu
> Sep 22 15:41:04 ds1205 kernel: [ 11.778396] Hardware name: Hewlett-Packard HP Pro 3500 Series/2ABF, BIOS 8.11 10/24/2012
> Sep 22 15:41:04 ds1205 kernel: [ 11.778397] 0000000000000009 ffff8800ccaf7bb0 ffffffff8171e569 ffff8800ccaf7bf8
> Sep 22 15:41:04 ds1205 kernel: [ 11.778399] ffff8800ccaf7be8 ffffffff8106775d ffff8800ccaf7d00 ffff88020fecb800
> Sep 22 15:41:04 ds1205 kernel: [ 11.778401] ffff8800ccaf7cc8 0000000000000001 0000000000000000 ffff8800ccaf7c48
> Sep 22 15:41:04 ds1205 kernel: [ 11.778403] Call Trace:
> Sep 22 15:41:04 ds1205 kernel: [ 11.778406] [<ffffffff8171...

Read more...

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing, Nathan. I'll ping upstream regarding commit e42d08d.

For completeness, could you also test the latest mainline kernel, which can be downloaded from here:
kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-rc6-utopic/

Nathan England (r-nathan) wrote :
Download full text (7.7 KiB)

Joseph, I downloaded and installed

linux-headers-3.17.0-031700rc6-generic_3.17.0-031700rc6.201409211935_amd64.deb
[3]

linux-headers-3.17.0-031700rc6_3.17.0-031700rc6.201409211935_all.deb [4]

linux-image-3.17.0-031700rc6-generic_3.17.0-031700rc6.201409211935_amd64.deb
[5]

The dkms nvidia-311 would not properly rebuild so I rebooted into the
3.17 recovery mode, enabled networking and dropped to a root shell. All
my filesystems mounted properly and I was able to access/modify cifs
filesystems as well.

Hope that helps!

On 2014-09-23 11:50, Joseph Salisbury wrote:

> Thanks for testing, Nathan. I'll ping upstream regarding commit
> e42d08d.
>
> For completeness, could you also test the latest mainline kernel, which can be downloaded from here:
> kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-rc6-utopic/
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1372482 [1]
>
> Title:
> mount.cifs does not work with the 3.13.0.36-generic kernel
>
> Status in "linux" package in Ubuntu:
> Invalid
> Status in "linux" source package in Trusty:
> In Progress
> Status in "linux" source package in Utopic:
> Invalid
>
> Bug description:
> mount.cifs //server_ip/share_name mount_point -o user=user
> Password...
> mount error(5): Input/output error
> Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)
> From syslog:
> Sep 22 15:41:04 ds1205 kernel: [ 11.778362] ------------[ cut here ]------------
> Sep 22 15:41:04 ds1205 kernel: [ 11.778370] WARNING: CPU: 3 PID: 2253 at /build/buildd/linux-3.13.0/fs/cifs/transport.c:313 smb_send_rqst+0x215/0x270 [cifs]()
> Sep 22 15:41:04 ds1205 kernel: [ 11.778371] Send length mismatch(send_length=72 smb_buf_length=2164260932)
> Sep 22 15:41:04 ds1205 kernel: [ 11.778372] Modules linked in: cuse rfcomm bnep bluetooth binfmt_misc snd_hda_codec_realtek nls_utf8 cifs fscache intel_rapl x86_pkg_temp_thermal intel_powerclamp snd_hda_intel coretemp snd_hda_codec kvm_intel kvm snd_hwdep snd_pcm crct10dif_pclmul crc32_pclmul snd_page_alloc ghash_clmulni_intel i915 snd_seq_midi aesni_intel snd_seq_midi_event aes_x86_64 lrw snd_rawmidi gf128mul snd_seq glue_helper ablk_helper snd_seq_device drm_kms_helper cryptd snd_timer drm keucr(C) parport_pc i2c_algo_bit hid_generic snd mei_me ppdev mei usb_storage lp soundcore serio_raw lpc_ich parport wmi mac_hid video usbhid hid psmouse ahci libahci r8169 mii
> Sep 22 15:41:04 ds1205 kernel: [ 11.778395] CPU: 3 PID: 2253 Comm: mount.cifs Tainted: G WC 3.13.0-36-generic #63-Ubuntu
> Sep 22 15:41:04 ds1205 kernel: [ 11.778396] Hardware name: Hewlett-Packard HP Pro 3500 Series/2ABF, BIOS 8.11 10/24/2012
> Sep 22 15:41:04 ds1205 kernel: [ 11.778397] 0000000000000009 ffff8800ccaf7bb0 ffffffff8171e569 ffff8800ccaf7bf8
> Sep 22 15:41:04 ds1205 kernel: [ 11.778399] ffff8800ccaf7be8 ffffffff8106775d ffff8800ccaf7d00 ffff88020fecb800
> Sep 22 15:41:04 ds1205 kernel: [ 11.778401] ffff8800ccaf7cc8 0000000000000001 0000000000000000 ffff8800ccaf7c48
> Sep 22 15:41:04 ds1205 kernel: [ 11.778403] Call Trace:
> Sep 22 15:41:04 ds1205 kernel: [ 11.778406] [<ffffffff8171e569>] dump_stack+0x45/0x56
> Sep 22 15:41:04 ds...

Read more...

Joseph Salisbury (jsalisbury) wrote :

Interesting, maybe a fix landed upstream that resolves this.

I only see one new commit added for CIFS after the one I reverted:
cb7e9ea CIFS: Use multicredits for SMB 2.1/3 writes

Can you also give the latest 3.13 upstream stable kernel a test? It can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13.11.7-trusty/

Nathan England (r-nathan) wrote :
Download full text (7.3 KiB)

Throughout all of this I have multiple samba connections to several
CentOS 6.5 machines which all worked great. It was only the connections
to a CentOS 7 machine that have been unwilling to connect.

I will give this kernel a try also, but it might be later... I need to
get some work done while my system is still functioning!

On 2014-09-23 14:44, Joseph Salisbury wrote:

> Interesting, maybe a fix landed upstream that resolves this.
>
> I only see one new commit added for CIFS after the one I reverted:
> cb7e9ea CIFS: Use multicredits for SMB 2.1/3 writes
>
> Can you also give the latest 3.13 upstream stable kernel a test? It can be downloaded from:
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13.11.7-trusty/ [1]
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1372482 [2]
>
> Title:
> mount.cifs does not work with the 3.13.0.36-generic kernel
>
> Status in "linux" package in Ubuntu:
> Invalid
> Status in "linux" source package in Trusty:
> In Progress
> Status in "linux" source package in Utopic:
> Invalid
>
> Bug description:
> mount.cifs //server_ip/share_name mount_point -o user=user
> Password...
> mount error(5): Input/output error
> Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)
> From syslog:
> Sep 22 15:41:04 ds1205 kernel: [ 11.778362] ------------[ cut here ]------------
> Sep 22 15:41:04 ds1205 kernel: [ 11.778370] WARNING: CPU: 3 PID: 2253 at /build/buildd/linux-3.13.0/fs/cifs/transport.c:313 smb_send_rqst+0x215/0x270 [cifs]()
> Sep 22 15:41:04 ds1205 kernel: [ 11.778371] Send length mismatch(send_length=72 smb_buf_length=2164260932)
> Sep 22 15:41:04 ds1205 kernel: [ 11.778372] Modules linked in: cuse rfcomm bnep bluetooth binfmt_misc snd_hda_codec_realtek nls_utf8 cifs fscache intel_rapl x86_pkg_temp_thermal intel_powerclamp snd_hda_intel coretemp snd_hda_codec kvm_intel kvm snd_hwdep snd_pcm crct10dif_pclmul crc32_pclmul snd_page_alloc ghash_clmulni_intel i915 snd_seq_midi aesni_intel snd_seq_midi_event aes_x86_64 lrw snd_rawmidi gf128mul snd_seq glue_helper ablk_helper snd_seq_device drm_kms_helper cryptd snd_timer drm keucr(C) parport_pc i2c_algo_bit hid_generic snd mei_me ppdev mei usb_storage lp soundcore serio_raw lpc_ich parport wmi mac_hid video usbhid hid psmouse ahci libahci r8169 mii
> Sep 22 15:41:04 ds1205 kernel: [ 11.778395] CPU: 3 PID: 2253 Comm: mount.cifs Tainted: G WC 3.13.0-36-generic #63-Ubuntu
> Sep 22 15:41:04 ds1205 kernel: [ 11.778396] Hardware name: Hewlett-Packard HP Pro 3500 Series/2ABF, BIOS 8.11 10/24/2012
> Sep 22 15:41:04 ds1205 kernel: [ 11.778397] 0000000000000009 ffff8800ccaf7bb0 ffffffff8171e569 ffff8800ccaf7bf8
> Sep 22 15:41:04 ds1205 kernel: [ 11.778399] ffff8800ccaf7be8 ffffffff8106775d ffff8800ccaf7d00 ffff88020fecb800
> Sep 22 15:41:04 ds1205 kernel: [ 11.778401] ffff8800ccaf7cc8 0000000000000001 0000000000000000 ffff8800ccaf7c48
> Sep 22 15:41:04 ds1205 kernel: [ 11.778403] Call Trace:
> Sep 22 15:41:04 ds1205 kernel: [ 11.778406] [<ffffffff8171e569>] dump_stack+0x45/0x56
> Sep 22 15:41:04 ds1205 kernel: [ 11.778408] [<ffffffff8106775d>] warn_slowpath_common+0x7d/0xa0
> Sep 22...

Read more...

Nathan England (r-nathan) wrote :
Download full text (7.2 KiB)

Hi Joseph,

I am currently running the
linux-image-3.13.11-03131107-generic_3.13.11-03131107 and so far so
good. All my volumes mounted correctly and I can modify files.

Thanks for all of your help with this!

On 2014-09-23 14:44, Joseph Salisbury wrote:

> Interesting, maybe a fix landed upstream that resolves this.
>
> I only see one new commit added for CIFS after the one I reverted:
> cb7e9ea CIFS: Use multicredits for SMB 2.1/3 writes
>
> Can you also give the latest 3.13 upstream stable kernel a test? It can be downloaded from:
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13.11.7-trusty/ [1]
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1372482 [2]
>
> Title:
> mount.cifs does not work with the 3.13.0.36-generic kernel
>
> Status in "linux" package in Ubuntu:
> Invalid
> Status in "linux" source package in Trusty:
> In Progress
> Status in "linux" source package in Utopic:
> Invalid
>
> Bug description:
> mount.cifs //server_ip/share_name mount_point -o user=user
> Password...
> mount error(5): Input/output error
> Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)
> From syslog:
> Sep 22 15:41:04 ds1205 kernel: [ 11.778362] ------------[ cut here ]------------
> Sep 22 15:41:04 ds1205 kernel: [ 11.778370] WARNING: CPU: 3 PID: 2253 at /build/buildd/linux-3.13.0/fs/cifs/transport.c:313 smb_send_rqst+0x215/0x270 [cifs]()
> Sep 22 15:41:04 ds1205 kernel: [ 11.778371] Send length mismatch(send_length=72 smb_buf_length=2164260932)
> Sep 22 15:41:04 ds1205 kernel: [ 11.778372] Modules linked in: cuse rfcomm bnep bluetooth binfmt_misc snd_hda_codec_realtek nls_utf8 cifs fscache intel_rapl x86_pkg_temp_thermal intel_powerclamp snd_hda_intel coretemp snd_hda_codec kvm_intel kvm snd_hwdep snd_pcm crct10dif_pclmul crc32_pclmul snd_page_alloc ghash_clmulni_intel i915 snd_seq_midi aesni_intel snd_seq_midi_event aes_x86_64 lrw snd_rawmidi gf128mul snd_seq glue_helper ablk_helper snd_seq_device drm_kms_helper cryptd snd_timer drm keucr(C) parport_pc i2c_algo_bit hid_generic snd mei_me ppdev mei usb_storage lp soundcore serio_raw lpc_ich parport wmi mac_hid video usbhid hid psmouse ahci libahci r8169 mii
> Sep 22 15:41:04 ds1205 kernel: [ 11.778395] CPU: 3 PID: 2253 Comm: mount.cifs Tainted: G WC 3.13.0-36-generic #63-Ubuntu
> Sep 22 15:41:04 ds1205 kernel: [ 11.778396] Hardware name: Hewlett-Packard HP Pro 3500 Series/2ABF, BIOS 8.11 10/24/2012
> Sep 22 15:41:04 ds1205 kernel: [ 11.778397] 0000000000000009 ffff8800ccaf7bb0 ffffffff8171e569 ffff8800ccaf7bf8
> Sep 22 15:41:04 ds1205 kernel: [ 11.778399] ffff8800ccaf7be8 ffffffff8106775d ffff8800ccaf7d00 ffff88020fecb800
> Sep 22 15:41:04 ds1205 kernel: [ 11.778401] ffff8800ccaf7cc8 0000000000000001 0000000000000000 ffff8800ccaf7c48
> Sep 22 15:41:04 ds1205 kernel: [ 11.778403] Call Trace:
> Sep 22 15:41:04 ds1205 kernel: [ 11.778406] [<ffffffff8171e569>] dump_stack+0x45/0x56
> Sep 22 15:41:04 ds1205 kernel: [ 11.778408] [<ffffffff8106775d>] warn_slowpath_common+0x7d/0xa0
> Sep 22 15:41:04 ds1205 kernel: [ 11.778409] [<ffffffff810677cc>] warn_slowpath_fmt+0x4c/0x50
> Sep 22 15:41:04 ds1205 kerne...

Read more...

Tamas Pisch (pt-r) wrote :

Hi Joseph,

I installed too the test kernel, and I can mount the Samba shares again.

Thanks,

Tamas.

Joseph Salisbury (jsalisbury) wrote :

I create one more Trusty test kernel, which has a cherry-pick of upstream commit: dca1c8d.

If this fixes the bug, then I'll submit a SRU request to have it included in Trusty. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1372482/

Joseph Salisbury (jsalisbury) wrote :

Again, you will need to install the linux-image and linux-image-extra.deb packages for this test kernel.

Thanks again!

Joseph Salisbury (jsalisbury) wrote :

The test kernel posted in comment #12 appears to fix bug 1373473. Has anyone in this bug had a chance to test the kernel?

John Rüdén (john-ruden) wrote :

I just tested your kernel from post in #12 using virtual machine in virtual box so I could take snapshots before and after. With your kernel my cifs mount in /etc/fstab works fine. Without your kernel i get the same failure as above with this message:

CIFS VFS: Error connecting to socket. Aborting operation.
CIFS VFS: cifs_mount failed w/return code = -5

Also did touch,write,read and delete test on new file in the mounted (remote) cifs directory. Works great!

Tamas Pisch (pt-r) wrote :

Hi Joseph,

I installed the kernel mentioned in #12, and it works for me.

Thanks,

Tamas.

Lars Behrens (lars-behrens-u) wrote :

Am 25.09.2014 um 19:29 schrieb Joseph Salisbury:
> The test kernel posted in comment #12 appears to fix bug 1373473. Has
> anyone in this bug had a chance to test the kernel?

Tested on 4 machines with 3 different setups meanwhile, working on all
of them.

SlavikZ (slavikz) wrote :

I also have this problem and can confirm that kernel posted in comment #12 fix it.

Joseph Salisbury (jsalisbury) wrote :

A SRU request was submitted for Trusty to include upstream commit: dca1c8d

Tim Gardner (timg-tpi) on 2014-09-30
Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Committed

i too am affected by this bug, I am running kernel 3.13.0-37-generic within Xubuntu and get the same error when trying to mount a cifs share that mounts just fine using kernel 3.13.0-35-generic. When can we expect to see a fix thru apt-get?

Lars Behrens (lars-behrens-u) wrote :

Am 02.10.2014 um 01:37 schrieb UbuntuAddicted:
> i too am affected by this bug, I am running kernel 3.13.0-37-generic
> within Xubuntu and get the same error when trying to mount a cifs share
> that mounts just fine using kernel 3.13.0-35-generic. When can we expect
> to see a fix thru apt-get?

Are you saying that you can *not* mount with the test kernel
3.13.0-37-generic provided in this bug or has that been a typo?

Nathan England (r-nathan) wrote :

My system, on the 3.13.0-36 kernel, *will* connect to several Centos 6.5 machines running Samba 3.6.9 but it will *not* connect to a CentOS 7 machine running Samba 4.1.1.

I had mentioned this earlier, but failed to note the Samba versions that work and do not.

sorry i wasn't more clear, i am using the default ubuntu kernel 3.13.0-37-generic from the normal repo and it's NOT mounting a CIFS share. I have not attempted to install any custom kernel posted in this bug report. i simply booted into the previous kernel that's on my machine 3.13.0-35-generic and mounting the CIFS share works just fine.

When should we expect to see this fix hit the wild? I see that Tim Gardner committed the fix and although my system is totally up to date, trying to use kernel 3.13.0-37-generic still results in not being able to mount the CIFS share. Also, I am curious what the fix will look like, will it be a samba package that will be updated OR will it be new kernels 3.13.0-37-generic and 3.13.0-36-generic?

Bruno Bigras (brunoqc) wrote :
Download full text (4.0 KiB)

I'm still having the problem with linux-image-3.13.0-37-generic (which I assume is the proposed version with the fix).

apt-cache policy linux-image-3.13.0-37-generic
linux-image-3.13.0-37-generic:
  Installé : 3.13.0-37.64
  Candidat : 3.13.0-37.64
 Table de version :
 *** 3.13.0-37.64 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-proposed/main i386 Packages
        100 /var/lib/dpkg/status

Oct 6 09:37:26 ubuntunew kernel: [ 238.035674] ------------[ cut here ]------------
Oct 6 09:37:26 ubuntunew kernel: [ 238.035729] WARNING: CPU: 1 PID: 6502 at /build/buildd/linux-3.13.0/fs/cifs/transport.c:313 smb_send_rqst+0x201/0x260 [cifs]()
Oct 6 09:37:26 ubuntunew kernel: [ 238.035737] Send length mismatch(send_length=72 smb_buf_length=2164260932)
Oct 6 09:37:26 ubuntunew kernel: [ 238.035741] Modules linked in: ipx p8023 p8022 psnap llc nls_utf8 cifs autofs4 nfsd auth_rpcgss nfs_acl nfs lockd sunrpc fscache xt_REDIRECT xt_tcpudp iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ip_tables vmwgfx x_tables ttm vmw_balloon serio_raw drm vmw_vmci parport_pc i2c_piix4 shpchp ppdev mac_hid lp parport psmouse pcnet32 mii mptspi mptscsih floppy mptbase
Oct 6 09:37:26 ubuntunew kernel: [ 238.035928] CPU: 1 PID: 6502 Comm: mount.cifs Tainted: G W 3.13.0-37-generic #64-Ubuntu
Oct 6 09:37:26 ubuntunew kernel: [ 238.035934] Hardware name: VMware, Inc. VMware Virtual Platform/440BX Desktop Reference Platform, BIOS 6.00 10/13/2009
Oct 6 09:37:26 ubuntunew kernel: [ 238.035940] 00000000 00000000 dae3fd5c c1653867 dae3fd9c dae3fd8c c105691e f8eec720
Oct 6 09:37:26 ubuntunew kernel: [ 238.035957] dae3fdb8 00001966 f8eec648 00000139 f8ec9321 f8ec9321 dae3fe18 81000044
Oct 6 09:37:26 ubuntunew kernel: [ 238.035972] dae3fdf4 dae3fda4 c1056973 00000009 dae3fd9c f8eec720 dae3fdb8 dae3fdec
Oct 6 09:37:26 ubuntunew kernel: [ 238.035986] Call Trace:
Oct 6 09:37:26 ubuntunew kernel: [ 238.036010] [<c1653867>] dump_stack+0x41/0x52
Oct 6 09:37:26 ubuntunew kernel: [ 238.036023] [<c105691e>] warn_slowpath_common+0x7e/0xa0
Oct 6 09:37:26 ubuntunew kernel: [ 238.036052] [<f8ec9321>] ? smb_send_rqst+0x201/0x260 [cifs]
Oct 6 09:37:26 ubuntunew kernel: [ 238.036071] [<f8ec9321>] ? smb_send_rqst+0x201/0x260 [cifs]
Oct 6 09:37:26 ubuntunew kernel: [ 238.036081] [<c1056973>] warn_slowpath_fmt+0x33/0x40
Oct 6 09:37:26 ubuntunew kernel: [ 238.036101] [<f8ec9321>] smb_send_rqst+0x201/0x260 [cifs]
Oct 6 09:37:26 ubuntunew kernel: [ 238.036114] [<c165a5f2>] ? _raw_spin_lock_bh+0x12/0x60
Oct 6 09:37:26 ubuntunew kernel: [ 238.036133] [<f8ec93ac>] smb_sendv+0x2c/0x40 [cifs]
Oct 6 09:37:26 ubuntunew kernel: [ 238.036152] [<f8ec93e1>] smb_send+0x21/0x30 [cifs]
Oct 6 09:37:26 ubuntunew kernel: [ 238.036168] [<f8eb4f64>] generic_ip_connect+0x2e4/0x3d0 [cifs]
Oct 6 09:37:26 ubuntunew kernel: [ 238.036186] [<f8eb8de7>] cifs_mount+0x687/0x970 [cifs]
Oct 6 09:37:26 ubuntunew kernel: [ 238.036200] [<f8ea8f36>] cifs_do_mount+0x86/0x480 [cifs]
Oct 6 09:37:26 ubuntunew kernel: [ 238.036212] [<c1166076>] ? __kmalloc_track_caller+0x46/0x1d0
Oct 6 09:37:26 ubuntunew kernel: [ 238.036222] [<c112a16...

Read more...

Lars Behrens (lars-behrens-u) wrote :

And could you check out the test kernel from #12?

Bruno Bigras (brunoqc) wrote :

I can't test the kernel from #12 since it's amd64 and I use i386.

Tamas Pisch (pt-r) wrote :

When I tested the kernel from #12, the cifs mount worked. After that the problem reappeared. I think so that the new official kernel is buggy again. I installed again the test kernel, and the cifs mount works again...

Ronald Kuczek (kuczek) wrote :

Kernel from #12 works for me. Thanks.

Lars Behrens (lars-behrens-u) wrote :

Am 08.10.2014 um 10:33 schrieb Tamas Pisch:
> When I tested the kernel from #12, the cifs mount worked. After that the
> problem reappeared. I think so that the new official kernel is buggy
> again. I installed again the test kernel, and the cifs mount works
> again...

As far as I can see there is no official 3.13.0-37 anyway:
http://packages.ubuntu.com/search?suite=all&section=all&arch=any&keywords=linux-image-3.13.0-37&searchon=names

Where did you get it from? I am pretty sure that the fix from #12 still
hadn't arrived in the "official" kernel you tested.

Tamas Pisch (pt-r) wrote :

Ok, I checked, and it is in the trusty-proposed repository.

ulises (josecsv) wrote :

Hi Joseph,

I installed the kernel mentioned in #12 , and it works for me too .

The new kernel 3.13.0-37 from Ubuntu repositories not work. I just installed it this morning and not work at least for me.
I just installed the Kernel mentioned in #12.

Thanks,

José Carlos

Kelvin Lo (kelvin-mba) wrote :

Couldn't mount with 3.13.0-37.

[ 175.290273] ------------[ cut here ]------------
[ 175.290298] WARNING: CPU: 0 PID: 6468 at /build/buildd/linux-3.13.0/fs/cifs/transport.c:313 smb_send_rqst+0x215/0x270 [cifs]()
[ 175.290301] Send length mismatch(send_length=72 smb_buf_length=2164260932)
[ 175.290302] Modules linked in: btrfs raid6_pq xor ufs qnx4 hfsplus hfs minix ntfs msdos jfs xfs libcrc32c snd_hda_codec_hdmi joydev hid_generic hid_ezkey usbhid hid snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_seq_midi snd_seq_midi_event snd_rawmidi nouveau mxm_wmi video bnep rfcomm uvcvideo kvm_amd videobuf2_vmalloc bluetooth videobuf2_memops videobuf2_core snd_seq kvm videodev ttm snd_seq_device snd_timer drm_kms_helper drm k10temp serio_raw edac_core snd edac_mce_amd sp5100_tco soundcore i2c_algo_bit i2c_piix4 mac_hid wmi nls_utf8 cifs fscache parport_pc ppdev lp parport usb_storage pata_acpi psmouse r8169 ahci mii pata_atiixp libahci
[ 175.290340] CPU: 0 PID: 6468 Comm: mount.cifs Tainted: G W 3.13.0-37-generic #64-Ubuntu
[ 175.290347] Hardware name: MSI MS-7693/970A-G46 (MS-7693), BIOS V1.9 08/14/2012
[ 175.290349] 0000000000000009 ffff8800a917dbb0 ffffffff8171ed09 ffff8800a917dbf8
[ 175.290353] ffff8800a917dbe8 ffffffff8106773d ffff8800a917dd00 ffff8801ef46f000
[ 175.290356] ffff8800a917dcc8 0000000000000001 0000000000000000 ffff8800a917dc48
[ 175.290359] Call Trace:
[ 175.290365] [<ffffffff8171ed09>] dump_stack+0x45/0x56
[ 175.290369] [<ffffffff8106773d>] warn_slowpath_common+0x7d/0xa0
[ 175.290372] [<ffffffff810677ac>] warn_slowpath_fmt+0x4c/0x50
[ 175.290383] [<ffffffffa00cb515>] smb_send_rqst+0x215/0x270 [cifs]
[ 175.290388] [<ffffffff81690868>] ? __inet_stream_connect+0x208/0x320
[ 175.290398] [<ffffffffa00cb5ad>] smb_sendv+0x3d/0x40 [cifs]
[ 175.290408] [<ffffffffa00cb5d8>] smb_send+0x28/0x30 [cifs]
[ 175.290417] [<ffffffffa00b515d>] generic_ip_connect+0x30d/0x3e0 [cifs]
[ 175.290421] [<ffffffff811a1d75>] ? __kmalloc+0x55/0x230
[ 175.290430] [<ffffffffa00b969c>] cifs_mount+0x85c/0xaf0 [cifs]
[ 175.290439] [<ffffffffa00a8040>] cifs_do_mount+0xa0/0x4d0 [cifs]
[ 175.290444] [<ffffffff811c10b9>] mount_fs+0x39/0x1b0
[ 175.290448] [<ffffffff811dc457>] vfs_kern_mount+0x67/0x110
[ 175.290452] [<ffffffff811decb4>] do_mount+0x244/0xb20
[ 175.290456] [<ffffffff811530ae>] ? __get_free_pages+0xe/0x50
[ 175.290459] [<ffffffff811de8f6>] ? copy_mount_options+0x36/0x170
[ 175.290462] [<ffffffff811df883>] SyS_mount+0x83/0xc0
[ 175.290465] [<ffffffff8172f82d>] system_call_fastpath+0x1a/0x1f
[ 175.290467] ---[ end trace 09da6c74f48063f9 ]---
[ 175.292487] CIFS VFS: Error connecting to socket. Aborting operation.
[ 175.292629] CIFS VFS: cifs_mount failed w/return code = -5

Chadarius (csutton-chadarius) wrote :

Ditto to what Kelvin says. I have kernel 3.13.0-37-generic and I cannot mount any cifs shares. I installed the patched kernel from post #12 and my pam_mounted cifs volumes are back again.

Nathan England (r-nathan) wrote :
  • Nathan.vcf Edit (389 bytes, text/vcard; charset="utf-8"; name="Nathan.vcf")
Download full text (3.4 KiB)

This is the same as what I am getting. However, it is only with a samba 4
machine on CentOS 7. My other samba 3 systems are working just fine. To make
my issues worse, yesterday I setup a new CentOS 7 machine and I cannot access
any of it's samba shares.... not in Ubuntu or in Windows!
In windows it says: The security ID structure is invalid.

Which makes me think it's an error similar to what we are seeing in this
kernel when it says: send length mismatch.

Maybe this is a samba 4 issue? Just my thoughts.

Nathan

On Thursday, October 09, 2014 11:14:00 you wrote:
> Couldn't mount with 3.13.0-37.
>
> [ 175.290273] ------------[ cut here ]------------
> [ 175.290298] WARNING: CPU: 0 PID: 6468 at
> /build/buildd/linux-3.13.0/fs/cifs/transport.c:313
> smb_send_rqst+0x215/0x270 [cifs]() [ 175.290301] Send length
> mismatch(send_length=72 smb_buf_length=2164260932) [ 175.290302] Modules
> linked in: btrfs raid6_pq xor ufs qnx4 hfsplus hfs minix ntfs msdos jfs xfs
> libcrc32c snd_hda_codec_hdmi joydev hid_generic hid_ezkey usbhid hid
> snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm
> snd_page_alloc snd_seq_midi snd_seq_midi_event snd_rawmidi nouveau mxm_wmi
> video bnep rfcomm uvcvideo kvm_amd videobuf2_vmalloc bluetooth
> videobuf2_memops videobuf2_core snd_seq kvm videodev ttm snd_seq_device
> snd_timer drm_kms_helper drm k10temp serio_raw edac_core snd edac_mce_amd
> sp5100_tco soundcore i2c_algo_bit i2c_piix4 mac_hid wmi nls_utf8 cifs
> fscache parport_pc ppdev lp parport usb_storage pata_acpi psmouse r8169
> ahci mii pata_atiixp libahci [ 175.290340] CPU: 0 PID: 6468 Comm:
> mount.cifs Tainted: G W 3.13.0-37-generic #64-Ubuntu [
> 175.290347] Hardware name: MSI MS-7693/970A-G46 (MS-7693), BIOS V1.9
> 08/14/2012 [ 175.290349] 0000000000000009 ffff8800a917dbb0
> ffffffff8171ed09 ffff8800a917dbf8 [ 175.290353] ffff8800a917dbe8
> ffffffff8106773d ffff8800a917dd00 ffff8801ef46f000 [ 175.290356]
> ffff8800a917dcc8 0000000000000001 0000000000000000 ffff8800a917dc48 [
> 175.290359] Call Trace:
> [ 175.290365] [<ffffffff8171ed09>] dump_stack+0x45/0x56
> [ 175.290369] [<ffffffff8106773d>] warn_slowpath_common+0x7d/0xa0
> [ 175.290372] [<ffffffff810677ac>] warn_slowpath_fmt+0x4c/0x50
> [ 175.290383] [<ffffffffa00cb515>] smb_send_rqst+0x215/0x270 [cifs]
> [ 175.290388] [<ffffffff81690868>] ? __inet_stream_connect+0x208/0x320
> [ 175.290398] [<ffffffffa00cb5ad>] smb_sendv+0x3d/0x40 [cifs]
> [ 175.290408] [<ffffffffa00cb5d8>] smb_send+0x28/0x30 [cifs]
> [ 175.290417] [<ffffffffa00b515d>] generic_ip_connect+0x30d/0x3e0 [cifs]
> [ 175.290421] [<ffffffff811a1d75>] ? __kmalloc+0x55/0x230
> [ 175.290430] [<ffffffffa00b969c>] cifs_mount+0x85c/0xaf0 [cifs]
> [ 175.290439] [<ffffffffa00a8040>] cifs_do_mount+0xa0/0x4d0 [cifs]
> [ 175.290444] [<ffffffff811c10b9>] mount_fs+0x39/0x1b0
> [ 175.290448] [<ffffffff811dc457>] vfs_kern_mount+0x67/0x110
> [ 175.290452] [<ffffffff811decb4>] do_mount+0x244/0xb20
> [ 175.290456] [<ffffffff811530ae>] ? __get_free_pages+0xe/0x50
> [ 175.290459] [<ffffffff811de8f6>] ? copy_mount_options+0x36/0x170
> [ 175.290462] [<ffffffff811df883>] SyS_mount+0...

Read more...

Anthony Kelly (anthony-kelly) wrote :
Download full text (3.7 KiB)

Just adding that CIFS mount to old NAS fails on 3.13.0-37-generic. Do we know if the fix will be in 3.13.0-38-generic?

This is the dmesg output:

[ 4657.368635] ------------[ cut here ]------------
[ 4657.368654] WARNING: CPU: 0 PID: 26467 at /build/buildd/linux-3.13.0/fs/cifs/transport.c:313 smb_send_rqst+0x215/0x270 [cifs]()
[ 4657.368656] Send length mismatch(send_length=72 smb_buf_length=2164260932)
[ 4657.368658] Modules linked in: nls_utf8 cifs fscache unix_diag tcp_diag inet_diag ctr ccm pci_stub vboxpci(OX) vboxnetadp(OX) vboxnetflt(OX) vboxdrv(OX) rfcomm bnep snd_hda_codec_hdmi(OX) snd_hda_codec_realtek(OX) snd_hda_codec_generic(OX) snd_hda_intel(OX) snd_hda_controller(OX) snd_hda_codec(OX) snd_hwdep snd_pcm snd_page_alloc snd_seq_midi joydev snd_seq_midi_event snd_rawmidi arc4 btusb bluetooth snd_seq intel_rapl iwlmvm coretemp mac80211 snd_seq_device snd_timer kvm_intel binfmt_misc kvm iwlwifi crct10dif_pclmul crc32_pclmul cfg80211 ghash_clmulni_intel snd cryptd ir_lirc_codec lirc_dev ir_mce_kbd_decoder soundcore serio_raw ir_sanyo_decoder ir_jvc_decoder ir_rc6_decoder ir_sony_decoder ir_nec_decoder ir_rc5_decoder i915 rc_rc6_mce drm_kms_helper ite_cir rc_core drm i2c_algo_bit nls_iso8859_1 video mac_hid parport_pc ppdev lp parport hid_generic usbhid hid psmouse r8169 mii ahci libahci
[ 4657.368728] CPU: 0 PID: 26467 Comm: mount.cifs Tainted: G OX 3.13.0-37-generic #64-Ubuntu
[ 4657.368731] Hardware name: \xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff \xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff/DN2820FYK, BIOS FYBYT10H.86A.0039.2014.0815.1150 08/15/2014
[ 4657.368733] 0000000000000009 ffff88013820dbb0 ffffffff8171ed09 ffff88013820dbf8
[ 4657.368738] ffff88013820dbe8 ffffffff8106773d ffff88013820dd00 ffff8800a0160000
[ 4657.368742] ffff88013820dcc8 0000000000000001 0000000000000000 ffff88013820dc48
[ 4657.368746] Call Trace:
[ 4657.368754] [<ffffffff8171ed09>] dump_stack+0x45/0x56
[ 4657.368760] [<ffffffff8106773d>] warn_slowpath_common+0x7d/0xa0
[ 4657.368764] [<ffffffff810677ac>] warn_slowpath_fmt+0x4c/0x50
[ 4657.368774] [<ffffffffa069d515>] smb_send_rqst+0x215/0x270 [cifs]
[ 4657.368779] [<ffffffff81690868>] ? __inet_stream_connect+0x208/0x320
[ 4657.368790] [<ffffffffa069d5ad>] smb_sendv+0x3d/0x40 [cifs]
[ 4657.368799] [<ffffffffa069d5d8>] smb_send+0x28/0x30 [cifs]
[ 4657.368808] [<ffffffffa068715d>] generic_ip_connect+0x30d/0x3e0 [cifs]
[ 4657.368813] [<ffffffff811a1d75>] ? __kmalloc+0x55/0x230
[ 4657.368822] [<ffffffffa068b69c>] cifs_mount+0x85c/0xaf0 [cifs]
[ 4657.368829] [<ffffffffa067a040>] cifs_do_mount+0xa0/0x4d0 [cifs]
[ 4657.368834] [...

Read more...

I can confirm that installing kernel 3.13.0-38-generic now makes mounting CIFS shares work again. WHOOT WHOOOT. THANKS!

Bruno Bigras (brunoqc) wrote :

3.13.0-38-generic also fixed the problem for me.

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
Tim Gardner (timg-tpi) on 2014-10-16
tags: added: verification-done-trusty
removed: verification-needed-trusty
Lars Behrens (lars-behrens-u) wrote :

Confirming here, too: Cifs mounting with 3.13.0-38-generic/trusty-proposed works again

Thanks for fixing.

Anthony Kelly (anthony-kelly) wrote :

I also have verified that the cifs mount is working again with 3.13.0-38-generic./trusty-propsoed. Thanks!

Chadarius (csutton-chadarius) wrote :

One more confirm. Cifs mounting with 3.13.0-38-generic/trusty-proposed works for me as well. Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (10.4 KiB)

This bug was fixed in the package linux - 3.13.0-39.66

---------------
linux (3.13.0-39.66) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1386629

  [ Upstream Kernel Changes ]

  * KVM: x86: Check non-canonical addresses upon WRMSR
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Prevent host from panicking on shared MSR writes.
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Improve thread safety in pit
    - LP: #1384540
    - CVE-2014-3611
  * KVM: x86: Fix wrong masking on relative jump/call
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Warn if guest virtual address space is not 48-bits
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Emulator fixes for eip canonical checks on near branches
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: emulating descriptor load misses long-mode case
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Handle errors when RIP is set during far jumps
    - LP: #1384545
    - CVE-2014-3647
  * kvm: vmx: handle invvpid vm exit gracefully
    - LP: #1384544
    - CVE-2014-3646
  * Input: synaptics - gate forcepad support by DMI check
    - LP: #1381815

linux (3.13.0-38.65) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1379244

  [ Andy Whitcroft ]

  * Revert "SAUCE: scsi: hyper-v storsvc switch up to SPC-3"
    - LP: #1354397
  * [Config] linux-image-extra is additive to linux-image
    - LP: #1375310
  * [Config] linux-image-extra postrm is not needed on purge
    - LP: #1375310

  [ Upstream Kernel Changes ]

  * Revert "KVM: x86: Increase the number of fixed MTRR regs to 10"
    - LP: #1377564
  * Revert "USB: option,zte_ev: move most ZTE CDMA devices to zte_ev"
    - LP: #1377564
  * aufs: bugfix, stop calling security_mmap_file() again
    - LP: #1371316
  * ipvs: fix ipv6 hook registration for local replies
    - LP: #1349768
  * Drivers: add blist flags
    - LP: #1354397
  * sd: fix a bug in deriving the FLUSH_TIMEOUT from the basic I/O timeout
    - LP: #1354397
  * drm/i915/bdw: Add 42ms delay for IPS disable
    - LP: #1374389
  * drm/i915: add null render states for gen6, gen7 and gen8
    - LP: #1374389
  * drm/i915/bdw: 3D_CHICKEN3 has write mask bits
    - LP: #1374389
  * drm/i915/bdw: Disable idle DOP clock gating
    - LP: #1374389
  * drm/i915: call lpt_init_clock_gating on BDW too
    - LP: #1374389
  * drm/i915: shuffle panel code
    - LP: #1374389
  * drm/i915: extract backlight minimum brightness from VBT
    - LP: #1374389
  * drm/i915: respect the VBT minimum backlight brightness
    - LP: #1374389
  * drm/i915/bdw: Apply workarounds in render ring init function
    - LP: #1374389
  * drm/i915/bdw: Cleanup pre prod workarounds
    - LP: #1374389
  * drm/i915: Replace hardcoded cacheline size with macro
    - LP: #1374389
  * drm/i915: Refactor Broadwell PIPE_CONTROL emission into a helper.
    - LP: #1374389
  * drm/i915: Add the WaCsStallBeforeStateCacheInvalidate:bdw workaround.
    - LP: #1374389
  * drm/i915/bdw: Remove BDW preproduction W/As until C stepping.
    - LP: #1374389
  * mptfusion: enable no_write_same for vmware scsi disks
    - LP: #1371591
  * iommu/amd: Fix cleanup_domai...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Christian Marinelli (ducarpit) wrote :

This morning i have installed an Ubuntu 17.10 on my PC with 4.13.0 kernel and i had this problem. Then i tried to install the 4.10 version (i downloaded it from internet) and now the mount.cifs functions work also in the /etc/fstab file.
Unfortunatly i have to work with a previous kernel version...that's orrible in my opinion. I hope this bug will be solved soon!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers